/* error messages for file transfers */
"dlp_ReadSysInfo" = "reading handheld information";
"dlp_ReadUserInfo" = "reading user information";
"dlp_ReadStorageInfo" = "reading memory information";
"dlp_ReadFeature" = "reading device capabilities";
"dlp_ExpSlotEnumerate" = "gathering expansion slots";
"dlp_VFSVolumeEnumerate" = "gathering mounted removable media";
"dlp_VFSVolumeInfo" = "gathering removable media information";
"dlp_VFSVolumeGetLabel" = "gathering removable media name";
"dlp_VFSVolumeSize" = "gathering removable media size";

"dlp_OpenDB" = "opening database";
"dlp_CreateDB" = "creating database";
"dlp_FindDBByOpenHandle" = "getting database size information";
"dlp_FindDBByTypeCreator" = "trying to locate a database";
"dlp_ReadResourceByType" = "reading database resource";
"dlp_CloseDB" = "closing database";
"dlp_FindDBByName" = "opening database";
"dlp_DeleteDB" = "deleting handheld database";
"dlp_SetDBInfo" = "changing database attributes";
"dlp_ReadAppBlock" = "reading categories";

"dlp_VFSFileOpen" = "opening file on handheld";
"dlp_VFSDirEntryEnumerate" = "gathering directory entries on removable media";
"dlp_VFSFileClose" = "closing file on handheld";
"dlp_VFSFileSize" = "getting file size";
"dlp_VFSFileGetDate" = "getting file date";
"dlp_VFSFileRead" = "reading from handheld file";
"dlp_VFSFileWrite" = "writing to handheld file";
"dlp_VFSFileDelete" = "deleting existing file from handheld";
"dlp_VFSDirCreate" = "creating directory on handheld";
"dlp_VFSFileCreate" = "creating file on handheld";
"dlp_VFSFileSetAttributes" = "changing file attributes";
"dlp_VFSFileRename" = "renaming file";

"pi_file_open" = "opening file on your computer";
"pi_file_create" = "creating file on your computer";
"pi_file_retrieve" = "retrieving file from handheld";
"pi_file_install" = "installing file on handheld";

"createDirectoryAtPath" = "creating directory on your computer failed";
"removeFileAtPath" = "deleting file or directory from your computer failed";
"writeToFile" = "saving the file on your computer failed";
"readDevicePicturesList" = "reading your handheld's pictures list failed";
"readVolumesList" = "reading the list of removable media from your handheld failed";

"backupVFSDir" = "downloading files from removable media";

"SHIM_NOT_FOUND" = "can't install helper application for media access";
"SHIM_GET_INFO" = "getting media information";
"SHIM_GET_ALBUM_LIST" = "retrieving your handheld's pictures list";
"SHIM_GET_ALBUM_CONTENTS" = "getting album contents from your handheld";
"SHIM_GET_PICTURE" = "retrieving a picture from your handheld";
"SHIM_DELETE_PICTURE" = "deleting the picture from your handheld";
"SHIM_ADD_PICTURE" = "adding a picture to your handheld";
"SHIM_GET_VFS_DIR_CONTENTS" = "getting directory contents on removable media";
"SHIM_DELETE_VFS_FILE" = "deleting files or folders from removable media";
"SHIM_GET_VOLUMES" = "retrieving the list of removable media from your handheld";

/* pilot-link error codes */
"-100" = "connection closed by handheld";
"-101" = "can't talk with handheld";
"-102" = "bad packet on wire";

"-200" = "connection closed";
"-201" = "invalid protocol stack";
"-202" = "connection timed out";
"-203" = "last data transfer was canceled";
"-204" = "i/o error";
"-205" = "socket can't accept connection";

"-300" = "data too big";
"-301" = "handheld returned an error";
"-302" = "operation not supported by handheld";
"-303" = "invalid socket";
"-304" = "data is too big and can't be transfered using this version of HotSync";
"-305" = "invalid response from handheld";

"-400" = "invalid file";
"-401" = "file read/write error";
"-402" = "cancelled by user";

"-500" = "not enough memory";
"-501" = "invalid argument";
"-502" = "internal error";

/* DLP error codes */
"1" = "System error";
"2" = "Illegal request";
"3" = "Not enough memory";
"4" = "Parameter error";
"5" = "File not found";
"6" = "No open file";
"7" = "File already open";
"8" = "Too many open files";
"9" = "File exists";
"10" = "Can't open file";
"11" = "Record is deleted";
"12" = "Record is busy";
"13" = "Operation not supported";
"15" = "File can't be written to";
"16" = "Not enough space on device";
"17" = "Size limit exceeded";
"18" = "Cancel sync";
"20" = "Missing argument";
"21" = "Invalid argument size";

/* Some PalmOS error codes */
"258" = "Not enough memory on device";

/* VFS error codes */
"10753" = "File buffer too small";
"10754" = "Generic file access error";
"10755" = "Invalid file reference";
"10756" = "File open";
"10757" = "Permission denied";
"10758" = "A file with this name already exists";
"10759" = "Reached end of file";
"10760" = "File not found";
"10761" = "The volume number is invalid";
"10762" = "Volume still mounted";
"10763" = "No installed file system supports this operation";
"10764" = "Invalid data";
"10765" = "The directory is not empty";
"10766" = "Invalid name";
"10767" = "Volume is full";
"10768" = "Function unimplemented for this media";
"10769" = "Not a directory";

/* Palm media error codes */
"28931" = "No Photos database on device";
"28932" = "Can't open the Photos database";
"28933" = "The album already exists";
"28934" = "The album does not exist";
"28935" = "The album is full";
"28936" = "Album name too long";
"28937" = "The album is READ ONLY";
"28938" = "Not enough space on device";
"28939" = "Not enough memory on device";
"28940" = "An image with this name already exists";
"28941" = "The image does not exist";
"28942" = "Image format not supported";
"28943" = "Image is not in the Photos database";
"28944" = "Invalid path / image name";
"28952" = "Invalid volume";
"28955" = "Invalid operation for media protected by DRM";

/* Handspring/palmOne ImageLib error codes */
"36864" = "ImageLib: bad parameter";
"36866" = "ImageLib: internal failure";
"36867" = "ImageLib: write failure";
"36868" = "ImageLib: read failure";
"36869" = "ImageLib: bad data";
"36869" = "ImageLib: bad image type";
"36870" = "ImageLib: bad image depth";
"36871" = "ImageLib: bad image dimensions";
"36872" = "ImageLib: initialization failed";
"36880" = "ImageLib: image locked";
